import {
	base_url
} from './config.js'
const timeout = 5000;
let showModal = false
export default (params) => {
	let url = params.url;
	let method = params.method || "get";
	let data = params.data || {};
	let header = {}

	let token = uni.getStorageSync('token')
	console.log(token)
	if (token) {
		header['Authorization'] = 'Bearer ' + token
	}
	// if (method == "post") {
	// 	header['Content-Type'] = 'multipart/form-data'

	// }
	return new Promise((resolve, reject) => {
		uni.request({
			url: base_url +'/api'+ url,
			method: method,
			header: header,
			data: data,
			dataType: 'json',
			timeout,
			success(response) {
				const res = response

				if (res.statusCode == 200) {
					console.log(res.data, '接口返回值')
					if (res.data.code == 200) {
						resolve(res.data);
					} else if (res.data.code == 401) {
						uni.clearStorageSync()
						if (showModal) return
						showModal = true
						uni.showModal({
							title: "提示",
							content: "身份已过期，请重新登录",
							showCancel: false,
							success() {
								showModal = false
								uni.navigateTo({
									url: '/pages/index/chooseLogin'
								})
							},
						});
					} else {
						uni.showToast({
							title: res.data.msg,
							icon: 'none',
							duration: 3000,
						})
						reject(res.data)
						return
					}

				} 
			},
			// fail(err) {
			// 	console.log(err)
			// 	if (err.errMsg.indexOf('request:fail') !== -1) {
			// 		uni.showToast({
			// 			title: '网络异常',
			// 			icon: "error",
			// 			duration: 2000
			// 		})
			// 	} else {
			// 		uni.showToast({
			// 			title: '未知异常',
			// 			duration: 2000
			// 		})
			// 	}
			// 	reject(err);

			// },
			// complete() {
			// }
		});
	})
}